﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Rikai.PRISM.WPF
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    using System.Data.Entity.Core.Objects;
    using System.Linq;
    
    public partial class PRISMDB_TESTEntities : DbContext
    {
        public PRISMDB_TESTEntities()
            : base("name=PRISMDB_TESTEntities")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public virtual DbSet<datCurrentYear> datCurrentYears { get; set; }
        public virtual DbSet<datMenuInfo> datMenuInfoes { get; set; }
        public virtual DbSet<datProcessDate> datProcessDates { get; set; }
        public virtual DbSet<logAccess> logAccesses { get; set; }
        public virtual DbSet<mstBirthYear> mstBirthYears { get; set; }
        public virtual DbSet<mstBlock> mstBlocks { get; set; }
        public virtual DbSet<mstBlockHouse> mstBlockHouses { get; set; }
        public virtual DbSet<mstCodeKbn> mstCodeKbns { get; set; }
        public virtual DbSet<mstCourse> mstCourses { get; set; }
        public virtual DbSet<mstCoursePrice> mstCoursePrices { get; set; }
        public virtual DbSet<mstCoursePrice_bk> mstCoursePrice_bk { get; set; }
        public virtual DbSet<mstCpCrsSetting> mstCpCrsSettings { get; set; }
        public virtual DbSet<mstFTPConnect> mstFTPConnects { get; set; }
        public virtual DbSet<mstGradeDivine> mstGradeDivines { get; set; }
        public virtual DbSet<mstHouse> mstHouses { get; set; }
        public virtual DbSet<mstHousePassword> mstHousePasswords { get; set; }
        public virtual DbSet<mstHouseSapix> mstHouseSapixes { get; set; }
        public virtual DbSet<mstHouseSubject> mstHouseSubjects { get; set; }
        public virtual DbSet<mstHouseTimetable> mstHouseTimetables { get; set; }
        public virtual DbSet<mstIntegrateStdPK> mstIntegrateStdPKs { get; set; }
        public virtual DbSet<mstIntegrateStdTab> mstIntegrateStdTabs { get; set; }
        public virtual DbSet<mstLetter> mstLetters { get; set; }
        public virtual DbSet<mstMonthDate> mstMonthDates { get; set; }
        public virtual DbSet<mstPrice> mstPrices { get; set; }
        public virtual DbSet<mstPrice_bk> mstPrice_bk { get; set; }
        public virtual DbSet<mstProduct> mstProducts { get; set; }
        public virtual DbSet<mstPupilBrand> mstPupilBrands { get; set; }
        public virtual DbSet<mstPupilGrade> mstPupilGrades { get; set; }
        public virtual DbSet<mstReportMemo> mstReportMemoes { get; set; }
        public virtual DbSet<mstStdCourse> mstStdCourses { get; set; }
        public virtual DbSet<mstStdCr> mstStdCrs { get; set; }
        public virtual DbSet<mstStdKbn> mstStdKbns { get; set; }
        public virtual DbSet<mstStdMendan> mstStdMendans { get; set; }
        public virtual DbSet<mstStdPass> mstStdPasses { get; set; }
        public virtual DbSet<mstStdRmk> mstStdRmks { get; set; }
        public virtual DbSet<mstStdSapixCr> mstStdSapixCrs { get; set; }
        public virtual DbSet<mstStudent> mstStudents { get; set; }
        public virtual DbSet<mstSubject> mstSubjects { get; set; }
        public virtual DbSet<mstSubjectSort> mstSubjectSorts { get; set; }
        public virtual DbSet<mstTeacher> mstTeachers { get; set; }
        public virtual DbSet<mstTeacherBrand> mstTeacherBrands { get; set; }
        public virtual DbSet<mstUser> mstUsers { get; set; }
        public virtual DbSet<mstWeekDate> mstWeekDates { get; set; }
        public virtual DbSet<tblActShort> tblActShorts { get; set; }
        public virtual DbSet<tblActStandard> tblActStandards { get; set; }
        public virtual DbSet<tblAttendance> tblAttendances { get; set; }
        public virtual DbSet<tblAttendanceDiff> tblAttendanceDiffs { get; set; }
        public virtual DbSet<tblAttendanceEx> tblAttendanceExes { get; set; }
        public virtual DbSet<tblAttendanceMemo> tblAttendanceMemoes { get; set; }
        public virtual DbSet<tblAttendanceMonth> tblAttendanceMonths { get; set; }
        public virtual DbSet<tblAvailableMemo> tblAvailableMemoes { get; set; }
        public virtual DbSet<tblBlockAttendance> tblBlockAttendances { get; set; }
        public virtual DbSet<tblContinued> tblContinueds { get; set; }
        public virtual DbSet<tblConversionKanaList> tblConversionKanaLists { get; set; }
        public virtual DbSet<tblCourseGroup> tblCourseGroups { get; set; }
        public virtual DbSet<tblCourseMonth> tblCourseMonths { get; set; }
        public virtual DbSet<tblEntryCard> tblEntryCards { get; set; }
        public virtual DbSet<tblExpense> tblExpenses { get; set; }
        public virtual DbSet<tblGarbageTableList> tblGarbageTableLists { get; set; }
        public virtual DbSet<tblHouseNoSlot> tblHouseNoSlots { get; set; }
        public virtual DbSet<tblInfoEntranceFee> tblInfoEntranceFees { get; set; }
        public virtual DbSet<tblInfoHaniDetail> tblInfoHaniDetails { get; set; }
        public virtual DbSet<tblInfoHaniGrade> tblInfoHaniGrades { get; set; }
        public virtual DbSet<tblInfoHeader> tblInfoHeaders { get; set; }
        public virtual DbSet<tblInfoKojinConf> tblInfoKojinConfs { get; set; }
        public virtual DbSet<tblInfoKojinID> tblInfoKojinIDs { get; set; }
        public virtual DbSet<tblInfoRepText> tblInfoRepTexts { get; set; }
        public virtual DbSet<tblIntegChkResult> tblIntegChkResults { get; set; }
        public virtual DbSet<tblListPupil> tblListPupils { get; set; }
        public virtual DbSet<tblLockMng> tblLockMngs { get; set; }
        public virtual DbSet<tblMailAdsChgMgr> tblMailAdsChgMgrs { get; set; }
        public virtual DbSet<tblMailAdsRgsMgr> tblMailAdsRgsMgrs { get; set; }
        public virtual DbSet<tblMailTemplate> tblMailTemplates { get; set; }
        public virtual DbSet<tblMyPageUrlConMgr> tblMyPageUrlConMgrs { get; set; }
        public virtual DbSet<tblPupilAbsence> tblPupilAbsences { get; set; }
        public virtual DbSet<tblPupilAdjust> tblPupilAdjusts { get; set; }
        public virtual DbSet<tblPupilAdjust_bk> tblPupilAdjust_bk { get; set; }
        public virtual DbSet<tblPupilBirthYear> tblPupilBirthYears { get; set; }
        public virtual DbSet<tblPupilDraw> tblPupilDraws { get; set; }
        public virtual DbSet<tblPupilInfoSend> tblPupilInfoSends { get; set; }
        public virtual DbSet<tblPupilIntegrate> tblPupilIntegrates { get; set; }
        public virtual DbSet<tblPupilStdCrsMonth> tblPupilStdCrsMonths { get; set; }
        public virtual DbSet<tblPupilStdCrsMonth_bk> tblPupilStdCrsMonth_bk { get; set; }
        public virtual DbSet<tblPupilText> tblPupilTexts { get; set; }
        public virtual DbSet<tblReportData01> tblReportData01 { get; set; }
        public virtual DbSet<tblReportData02> tblReportData02 { get; set; }
        public virtual DbSet<tblReportData04> tblReportData04 { get; set; }
        public virtual DbSet<tblReportData05> tblReportData05 { get; set; }
        public virtual DbSet<tblReportData08> tblReportData08 { get; set; }
        public virtual DbSet<tblReportData17> tblReportData17 { get; set; }
        public virtual DbSet<tblReportDetail02> tblReportDetail02 { get; set; }
        public virtual DbSet<tblReportDetail05> tblReportDetail05 { get; set; }
        public virtual DbSet<tblRestRoomMonth> tblRestRoomMonths { get; set; }
        public virtual DbSet<tblSbjSrtFreeKoma> tblSbjSrtFreeKomas { get; set; }
        public virtual DbSet<tblServiceRate> tblServiceRates { get; set; }
        public virtual DbSet<tblSyllabu> tblSyllabus { get; set; }
        public virtual DbSet<tblSyllabusMonth> tblSyllabusMonths { get; set; }
        public virtual DbSet<tblTeacherHouse> tblTeacherHouses { get; set; }
        public virtual DbSet<tblTeacherNoSlot> tblTeacherNoSlots { get; set; }
        public virtual DbSet<tblTeacherNoSlotP> tblTeacherNoSlotPs { get; set; }
        public virtual DbSet<tblTeacherNoSlotPMonth> tblTeacherNoSlotPMonths { get; set; }
        public virtual DbSet<tblTeacherSingleTime> tblTeacherSingleTimes { get; set; }
        public virtual DbSet<tblTeacherSingleTimeP> tblTeacherSingleTimePs { get; set; }
        public virtual DbSet<tblTeacherSingleTimePMonth> tblTeacherSingleTimePMonths { get; set; }
        public virtual DbSet<tblTeacherUndecided> tblTeacherUndecideds { get; set; }
        public virtual DbSet<tblTmpStdPass> tblTmpStdPasses { get; set; }
        public virtual DbSet<tblTransferApplication> tblTransferApplications { get; set; }
        public virtual DbSet<tblWebLog> tblWebLogs { get; set; }
        public virtual DbSet<tmpInfoKojinID> tmpInfoKojinIDs { get; set; }
        public virtual DbSet<wrkSubject> wrkSubjects { get; set; }
        public virtual DbSet<wrkSubstituteTeacher> wrkSubstituteTeachers { get; set; }
        public virtual DbSet<taihi_PupilGrade_ChuKuriage> taihi_PupilGrade_ChuKuriage { get; set; }
        public virtual DbSet<taihi_PupilGrade_ChuKuriage2023> taihi_PupilGrade_ChuKuriage2023 { get; set; }
        public virtual DbSet<taihi_PupilGrade_ShoKuriage> taihi_PupilGrade_ShoKuriage { get; set; }
        public virtual DbSet<taihi_PupilGrade_ShoKuriage2023> taihi_PupilGrade_ShoKuriage2023 { get; set; }
        public virtual DbSet<taihi_Student_ChuKuriage> taihi_Student_ChuKuriage { get; set; }
        public virtual DbSet<taihi_Student_ChuKuriage2023> taihi_Student_ChuKuriage2023 { get; set; }
        public virtual DbSet<taihi_Student_ShoKuriage> taihi_Student_ShoKuriage { get; set; }
        public virtual DbSet<taihi_Student_ShoKuriage2023> taihi_Student_ShoKuriage2023 { get; set; }
        public virtual DbSet<tblEntryCard_bak20210514> tblEntryCard_bak20210514 { get; set; }
        public virtual DbSet<tblInfoEntranceFee_bak20210514> tblInfoEntranceFee_bak20210514 { get; set; }
        public virtual DbSet<tblInfoHeader_bak20210514> tblInfoHeader_bak20210514 { get; set; }
        public virtual DbSet<tblInfoKojinConf_bak20210514> tblInfoKojinConf_bak20210514 { get; set; }
        public virtual DbSet<tblPupilDraw_bk> tblPupilDraw_bk { get; set; }
        public virtual DbSet<tblPupilInfoSend_bk> tblPupilInfoSend_bk { get; set; }
        public virtual DbSet<tblReportData02_bk> tblReportData02_bk { get; set; }
        public virtual DbSet<tblReportData05_bk> tblReportData05_bk { get; set; }
        public virtual DbSet<tblTeacherUndecidedP> tblTeacherUndecidedPs { get; set; }
        public virtual DbSet<tblTeacherUndecidedPMonth> tblTeacherUndecidedPMonths { get; set; }
        public virtual DbSet<wrkFreeKomaSubject> wrkFreeKomaSubjects { get; set; }
        public virtual DbSet<wrkWeeklyShortKomaSum> wrkWeeklyShortKomaSums { get; set; }
        public virtual DbSet<wrkWeeklyStandardKomaSum> wrkWeeklyStandardKomaSums { get; set; }
        public virtual DbSet<mstControl> mstControls { get; set; }
        public virtual DbSet<mstPupil> mstPupils { get; set; }
        public virtual DbSet<v_Attendance> v_Attendance { get; set; }
        public virtual DbSet<v_CourseGroup> v_CourseGroup { get; set; }
        public virtual DbSet<v_mstPupil> v_mstPupil { get; set; }
        public virtual DbSet<v_mstPupil_n> v_mstPupil_n { get; set; }
        public virtual DbSet<v_mstTeacher> v_mstTeacher { get; set; }
        public virtual DbSet<vwAttendance> vwAttendances { get; set; }
        public virtual DbSet<vwCourse> vwCourses { get; set; }
        public virtual DbSet<vwHouseBlock> vwHouseBlocks { get; set; }
        public virtual DbSet<vwHouseNoSlot> vwHouseNoSlots { get; set; }
        public virtual DbSet<vwHouseTimeTable> vwHouseTimeTables { get; set; }
        public virtual DbSet<vwLessonActSht> vwLessonActShts { get; set; }
        public virtual DbSet<vwLessonActStd> vwLessonActStds { get; set; }
        public virtual DbSet<vwLessonPlan> vwLessonPlans { get; set; }
        public virtual DbSet<vwLessonPlanMonth> vwLessonPlanMonths { get; set; }
        public virtual DbSet<vwPupil> vwPupils { get; set; }
        public virtual DbSet<vwPupilLessonPlan> vwPupilLessonPlans { get; set; }
        public virtual DbSet<vwPupilLessonPlanMonth> vwPupilLessonPlanMonths { get; set; }
        public virtual DbSet<vwPupilText> vwPupilTexts { get; set; }
        public virtual DbSet<vwSyllabusMonth> vwSyllabusMonths { get; set; }
        public virtual DbSet<vwSyllabusMonthSubject> vwSyllabusMonthSubjects { get; set; }
        public virtual DbSet<vwTeacher> vwTeachers { get; set; }
        public virtual DbSet<vwTeacherMonth> vwTeacherMonths { get; set; }
    
        [DbFunction("PRISMDB_TESTEntities", "ft_CalDate")]
        public virtual IQueryable<ft_CalDate_Result> ft_CalDate(Nullable<System.DateTime> startDate, Nullable<System.DateTime> endDate)
        {
            var startDateParameter = startDate.HasValue ?
                new ObjectParameter("StartDate", startDate) :
                new ObjectParameter("StartDate", typeof(System.DateTime));
    
            var endDateParameter = endDate.HasValue ?
                new ObjectParameter("EndDate", endDate) :
                new ObjectParameter("EndDate", typeof(System.DateTime));
    
            return ((IObjectContextAdapter)this).ObjectContext.CreateQuery<ft_CalDate_Result>("[PRISMDB_TESTEntities].[ft_CalDate](@StartDate, @EndDate)", startDateParameter, endDateParameter);
        }
    
        [DbFunction("PRISMDB_TESTEntities", "ft_HouseKomaSum")]
        public virtual IQueryable<ft_HouseKomaSum_Result> ft_HouseKomaSum(Nullable<System.DateTime> startDate, Nullable<System.DateTime> endDate, Nullable<int> houseCd1, Nullable<int> houseCd2, Nullable<int> houseCd3, Nullable<int> houseCd4, Nullable<int> houseCd5, Nullable<int> houseCd6, Nullable<int> houseCd7, Nullable<int> houseCd8, Nullable<int> houseCd9, Nullable<int> houseCd10)
        {
            var startDateParameter = startDate.HasValue ?
                new ObjectParameter("StartDate", startDate) :
                new ObjectParameter("StartDate", typeof(System.DateTime));
    
            var endDateParameter = endDate.HasValue ?
                new ObjectParameter("EndDate", endDate) :
                new ObjectParameter("EndDate", typeof(System.DateTime));
    
            var houseCd1Parameter = houseCd1.HasValue ?
                new ObjectParameter("HouseCd1", houseCd1) :
                new ObjectParameter("HouseCd1", typeof(int));
    
            var houseCd2Parameter = houseCd2.HasValue ?
                new ObjectParameter("HouseCd2", houseCd2) :
                new ObjectParameter("HouseCd2", typeof(int));
    
            var houseCd3Parameter = houseCd3.HasValue ?
                new ObjectParameter("HouseCd3", houseCd3) :
                new ObjectParameter("HouseCd3", typeof(int));
    
            var houseCd4Parameter = houseCd4.HasValue ?
                new ObjectParameter("HouseCd4", houseCd4) :
                new ObjectParameter("HouseCd4", typeof(int));
    
            var houseCd5Parameter = houseCd5.HasValue ?
                new ObjectParameter("HouseCd5", houseCd5) :
                new ObjectParameter("HouseCd5", typeof(int));
    
            var houseCd6Parameter = houseCd6.HasValue ?
                new ObjectParameter("HouseCd6", houseCd6) :
                new ObjectParameter("HouseCd6", typeof(int));
    
            var houseCd7Parameter = houseCd7.HasValue ?
                new ObjectParameter("HouseCd7", houseCd7) :
                new ObjectParameter("HouseCd7", typeof(int));
    
            var houseCd8Parameter = houseCd8.HasValue ?
                new ObjectParameter("HouseCd8", houseCd8) :
                new ObjectParameter("HouseCd8", typeof(int));
    
            var houseCd9Parameter = houseCd9.HasValue ?
                new ObjectParameter("HouseCd9", houseCd9) :
                new ObjectParameter("HouseCd9", typeof(int));
    
            var houseCd10Parameter = houseCd10.HasValue ?
                new ObjectParameter("HouseCd10", houseCd10) :
                new ObjectParameter("HouseCd10", typeof(int));
    
            return ((IObjectContextAdapter)this).ObjectContext.CreateQuery<ft_HouseKomaSum_Result>("[PRISMDB_TESTEntities].[ft_HouseKomaSum](@StartDate, @EndDate, @HouseCd1, @HouseCd2, @HouseCd3, @HouseCd4, @HouseCd5, @HouseCd6, @HouseCd7, @HouseCd8, @HouseCd9, @HouseCd10)", startDateParameter, endDateParameter, houseCd1Parameter, houseCd2Parameter, houseCd3Parameter, houseCd4Parameter, houseCd5Parameter, houseCd6Parameter, houseCd7Parameter, houseCd8Parameter, houseCd9Parameter, houseCd10Parameter);
        }
    
        [DbFunction("PRISMDB_TESTEntities", "ft_KomaSpace")]
        public virtual IQueryable<ft_KomaSpace_Result> ft_KomaSpace(Nullable<int> houseCd, Nullable<System.DateTime> startDate, Nullable<System.DateTime> endDate)
        {
            var houseCdParameter = houseCd.HasValue ?
                new ObjectParameter("HouseCd", houseCd) :
                new ObjectParameter("HouseCd", typeof(int));
    
            var startDateParameter = startDate.HasValue ?
                new ObjectParameter("StartDate", startDate) :
                new ObjectParameter("StartDate", typeof(System.DateTime));
    
            var endDateParameter = endDate.HasValue ?
                new ObjectParameter("EndDate", endDate) :
                new ObjectParameter("EndDate", typeof(System.DateTime));
    
            return ((IObjectContextAdapter)this).ObjectContext.CreateQuery<ft_KomaSpace_Result>("[PRISMDB_TESTEntities].[ft_KomaSpace](@HouseCd, @StartDate, @EndDate)", houseCdParameter, startDateParameter, endDateParameter);
        }
    
        public virtual int DbBackup(string filePath, string fileName)
        {
            var filePathParameter = filePath != null ?
                new ObjectParameter("FilePath", filePath) :
                new ObjectParameter("FilePath", typeof(string));
    
            var fileNameParameter = fileName != null ?
                new ObjectParameter("FileName", fileName) :
                new ObjectParameter("FileName", typeof(string));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("DbBackup", filePathParameter, fileNameParameter);
        }
    
        public virtual int prcCountMessage(string processFlg, string tableName, Nullable<int> rowCount)
        {
            var processFlgParameter = processFlg != null ?
                new ObjectParameter("processFlg", processFlg) :
                new ObjectParameter("processFlg", typeof(string));
    
            var tableNameParameter = tableName != null ?
                new ObjectParameter("TableName", tableName) :
                new ObjectParameter("TableName", typeof(string));
    
            var rowCountParameter = rowCount.HasValue ?
                new ObjectParameter("RowCount", rowCount) :
                new ObjectParameter("RowCount", typeof(int));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("prcCountMessage", processFlgParameter, tableNameParameter, rowCountParameter);
        }
    
        public virtual int prcErrorMessage(string errorObj, Nullable<int> errorNo, string errorMessage)
        {
            var errorObjParameter = errorObj != null ?
                new ObjectParameter("ErrorObj", errorObj) :
                new ObjectParameter("ErrorObj", typeof(string));
    
            var errorNoParameter = errorNo.HasValue ?
                new ObjectParameter("ErrorNo", errorNo) :
                new ObjectParameter("ErrorNo", typeof(int));
    
            var errorMessageParameter = errorMessage != null ?
                new ObjectParameter("ErrorMessage", errorMessage) :
                new ObjectParameter("ErrorMessage", typeof(string));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("prcErrorMessage", errorObjParameter, errorNoParameter, errorMessageParameter);
        }
    
        public virtual int prcGarbageWrkTbl(string pRM_KBN)
        {
            var pRM_KBNParameter = pRM_KBN != null ?
                new ObjectParameter("PRM_KBN", pRM_KBN) :
                new ObjectParameter("PRM_KBN", typeof(string));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("prcGarbageWrkTbl", pRM_KBNParameter);
        }
    
        public virtual int prcInfoMessage(string infoMessage)
        {
            var infoMessageParameter = infoMessage != null ?
                new ObjectParameter("InfoMessage", infoMessage) :
                new ObjectParameter("InfoMessage", typeof(string));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("prcInfoMessage", infoMessageParameter);
        }
    
        public virtual ObjectResult<prcMonitorRFCMailAddress_Result> prcMonitorRFCMailAddress()
        {
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction<prcMonitorRFCMailAddress_Result>("prcMonitorRFCMailAddress");
        }
    
        public virtual int prcStartEndMessage(string processFlg)
        {
            var processFlgParameter = processFlg != null ?
                new ObjectParameter("processFlg", processFlg) :
                new ObjectParameter("processFlg", typeof(string));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("prcStartEndMessage", processFlgParameter);
        }
    
        public virtual int sp_AttendanceMemo(Nullable<int> houseCd, string yM, ObjectParameter errNo, ObjectParameter errMsg)
        {
            var houseCdParameter = houseCd.HasValue ?
                new ObjectParameter("HouseCd", houseCd) :
                new ObjectParameter("HouseCd", typeof(int));
    
            var yMParameter = yM != null ?
                new ObjectParameter("YM", yM) :
                new ObjectParameter("YM", typeof(string));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_AttendanceMemo", houseCdParameter, yMParameter, errNo, errMsg);
        }
    
        public virtual int sp_AttendanceMonth(Nullable<int> houseCd, Nullable<System.DateTime> startDate, Nullable<System.DateTime> endDate, ObjectParameter errNo, ObjectParameter errMsg)
        {
            var houseCdParameter = houseCd.HasValue ?
                new ObjectParameter("HouseCd", houseCd) :
                new ObjectParameter("HouseCd", typeof(int));
    
            var startDateParameter = startDate.HasValue ?
                new ObjectParameter("StartDate", startDate) :
                new ObjectParameter("StartDate", typeof(System.DateTime));
    
            var endDateParameter = endDate.HasValue ?
                new ObjectParameter("EndDate", endDate) :
                new ObjectParameter("EndDate", typeof(System.DateTime));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_AttendanceMonth", houseCdParameter, startDateParameter, endDateParameter, errNo, errMsg);
        }
    
        public virtual int sp_AttendanceMonthDebug(Nullable<int> houseCd, Nullable<System.DateTime> startDate, Nullable<System.DateTime> endDate, ObjectParameter errNo, ObjectParameter errMsg)
        {
            var houseCdParameter = houseCd.HasValue ?
                new ObjectParameter("HouseCd", houseCd) :
                new ObjectParameter("HouseCd", typeof(int));
    
            var startDateParameter = startDate.HasValue ?
                new ObjectParameter("StartDate", startDate) :
                new ObjectParameter("StartDate", typeof(System.DateTime));
    
            var endDateParameter = endDate.HasValue ?
                new ObjectParameter("EndDate", endDate) :
                new ObjectParameter("EndDate", typeof(System.DateTime));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_AttendanceMonthDebug", houseCdParameter, startDateParameter, endDateParameter, errNo, errMsg);
        }
    
        public virtual int sp_AvailableTeachers(string tgtYear, string tgtBrand, string tgtHouse, Nullable<int> seq, string course, string courseKbn, string startDate, string endDate, string subject, string tgtKoma, ObjectParameter errNo, ObjectParameter errMsg)
        {
            var tgtYearParameter = tgtYear != null ?
                new ObjectParameter("TgtYear", tgtYear) :
                new ObjectParameter("TgtYear", typeof(string));
    
            var tgtBrandParameter = tgtBrand != null ?
                new ObjectParameter("TgtBrand", tgtBrand) :
                new ObjectParameter("TgtBrand", typeof(string));
    
            var tgtHouseParameter = tgtHouse != null ?
                new ObjectParameter("TgtHouse", tgtHouse) :
                new ObjectParameter("TgtHouse", typeof(string));
    
            var seqParameter = seq.HasValue ?
                new ObjectParameter("Seq", seq) :
                new ObjectParameter("Seq", typeof(int));
    
            var courseParameter = course != null ?
                new ObjectParameter("Course", course) :
                new ObjectParameter("Course", typeof(string));
    
            var courseKbnParameter = courseKbn != null ?
                new ObjectParameter("CourseKbn", courseKbn) :
                new ObjectParameter("CourseKbn", typeof(string));
    
            var startDateParameter = startDate != null ?
                new ObjectParameter("StartDate", startDate) :
                new ObjectParameter("StartDate", typeof(string));
    
            var endDateParameter = endDate != null ?
                new ObjectParameter("EndDate", endDate) :
                new ObjectParameter("EndDate", typeof(string));
    
            var subjectParameter = subject != null ?
                new ObjectParameter("Subject", subject) :
                new ObjectParameter("Subject", typeof(string));
    
            var tgtKomaParameter = tgtKoma != null ?
                new ObjectParameter("TgtKoma", tgtKoma) :
                new ObjectParameter("TgtKoma", typeof(string));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_AvailableTeachers", tgtYearParameter, tgtBrandParameter, tgtHouseParameter, seqParameter, courseParameter, courseKbnParameter, startDateParameter, endDateParameter, subjectParameter, tgtKomaParameter, errNo, errMsg);
        }
    
        public virtual int sp_CheckImpData(Nullable<int> pSeqNum, Nullable<int> pStrCKBN, string pUserID, ObjectParameter errNo, ObjectParameter errMsg)
        {
            var pSeqNumParameter = pSeqNum.HasValue ?
                new ObjectParameter("pSeqNum", pSeqNum) :
                new ObjectParameter("pSeqNum", typeof(int));
    
            var pStrCKBNParameter = pStrCKBN.HasValue ?
                new ObjectParameter("pStrCKBN", pStrCKBN) :
                new ObjectParameter("pStrCKBN", typeof(int));
    
            var pUserIDParameter = pUserID != null ?
                new ObjectParameter("pUserID", pUserID) :
                new ObjectParameter("pUserID", typeof(string));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_CheckImpData", pSeqNumParameter, pStrCKBNParameter, pUserIDParameter, errNo, errMsg);
        }
    
        public virtual int sp_ChkIntegrateData(Nullable<long> sEQ, string d_PUPILCD, string i_PUPILCD, string lOGINUSER, ObjectParameter errNo, ObjectParameter errMsg)
        {
            var sEQParameter = sEQ.HasValue ?
                new ObjectParameter("SEQ", sEQ) :
                new ObjectParameter("SEQ", typeof(long));
    
            var d_PUPILCDParameter = d_PUPILCD != null ?
                new ObjectParameter("D_PUPILCD", d_PUPILCD) :
                new ObjectParameter("D_PUPILCD", typeof(string));
    
            var i_PUPILCDParameter = i_PUPILCD != null ?
                new ObjectParameter("I_PUPILCD", i_PUPILCD) :
                new ObjectParameter("I_PUPILCD", typeof(string));
    
            var lOGINUSERParameter = lOGINUSER != null ?
                new ObjectParameter("LOGINUSER", lOGINUSER) :
                new ObjectParameter("LOGINUSER", typeof(string));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_ChkIntegrateData", sEQParameter, d_PUPILCDParameter, i_PUPILCDParameter, lOGINUSERParameter, errNo, errMsg);
        }
    
        public virtual int sp_CourseGroupWeek(Nullable<int> pYear, Nullable<int> pBrandCd, ObjectParameter errNo, ObjectParameter errMsg)
        {
            var pYearParameter = pYear.HasValue ?
                new ObjectParameter("pYear", pYear) :
                new ObjectParameter("pYear", typeof(int));
    
            var pBrandCdParameter = pBrandCd.HasValue ?
                new ObjectParameter("pBrandCd", pBrandCd) :
                new ObjectParameter("pBrandCd", typeof(int));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_CourseGroupWeek", pYearParameter, pBrandCdParameter, errNo, errMsg);
        }
    
        public virtual int sp_CreateKojinInfo(string processKbn, ObjectParameter infoID, string infoTitle, string infoStartDate, string infoStartTime, string infoEndDate, string infoEndTime, string openFlg, string mailSendFlg, string mailSentFlg, string reportKbn, Nullable<short> courseCd, string courseName, Nullable<int> month, Nullable<int> week, string startDate, string endDate, string asOfDate, string tgtRange, Nullable<int> chkReCreate, string tgtYear, string tgtBrand, string tgtBlock, Nullable<int> tgtHouse, string opeUserID, string tmpInfoID, ObjectParameter errNo, ObjectParameter errMsg)
        {
            var processKbnParameter = processKbn != null ?
                new ObjectParameter("ProcessKbn", processKbn) :
                new ObjectParameter("ProcessKbn", typeof(string));
    
            var infoTitleParameter = infoTitle != null ?
                new ObjectParameter("InfoTitle", infoTitle) :
                new ObjectParameter("InfoTitle", typeof(string));
    
            var infoStartDateParameter = infoStartDate != null ?
                new ObjectParameter("InfoStartDate", infoStartDate) :
                new ObjectParameter("InfoStartDate", typeof(string));
    
            var infoStartTimeParameter = infoStartTime != null ?
                new ObjectParameter("InfoStartTime", infoStartTime) :
                new ObjectParameter("InfoStartTime", typeof(string));
    
            var infoEndDateParameter = infoEndDate != null ?
                new ObjectParameter("InfoEndDate", infoEndDate) :
                new ObjectParameter("InfoEndDate", typeof(string));
    
            var infoEndTimeParameter = infoEndTime != null ?
                new ObjectParameter("InfoEndTime", infoEndTime) :
                new ObjectParameter("InfoEndTime", typeof(string));
    
            var openFlgParameter = openFlg != null ?
                new ObjectParameter("OpenFlg", openFlg) :
                new ObjectParameter("OpenFlg", typeof(string));
    
            var mailSendFlgParameter = mailSendFlg != null ?
                new ObjectParameter("MailSendFlg", mailSendFlg) :
                new ObjectParameter("MailSendFlg", typeof(string));
    
            var mailSentFlgParameter = mailSentFlg != null ?
                new ObjectParameter("MailSentFlg", mailSentFlg) :
                new ObjectParameter("MailSentFlg", typeof(string));
    
            var reportKbnParameter = reportKbn != null ?
                new ObjectParameter("ReportKbn", reportKbn) :
                new ObjectParameter("ReportKbn", typeof(string));
    
            var courseCdParameter = courseCd.HasValue ?
                new ObjectParameter("CourseCd", courseCd) :
                new ObjectParameter("CourseCd", typeof(short));
    
            var courseNameParameter = courseName != null ?
                new ObjectParameter("CourseName", courseName) :
                new ObjectParameter("CourseName", typeof(string));
    
            var monthParameter = month.HasValue ?
                new ObjectParameter("Month", month) :
                new ObjectParameter("Month", typeof(int));
    
            var weekParameter = week.HasValue ?
                new ObjectParameter("Week", week) :
                new ObjectParameter("Week", typeof(int));
    
            var startDateParameter = startDate != null ?
                new ObjectParameter("StartDate", startDate) :
                new ObjectParameter("StartDate", typeof(string));
    
            var endDateParameter = endDate != null ?
                new ObjectParameter("EndDate", endDate) :
                new ObjectParameter("EndDate", typeof(string));
    
            var asOfDateParameter = asOfDate != null ?
                new ObjectParameter("AsOfDate", asOfDate) :
                new ObjectParameter("AsOfDate", typeof(string));
    
            var tgtRangeParameter = tgtRange != null ?
                new ObjectParameter("TgtRange", tgtRange) :
                new ObjectParameter("TgtRange", typeof(string));
    
            var chkReCreateParameter = chkReCreate.HasValue ?
                new ObjectParameter("ChkReCreate", chkReCreate) :
                new ObjectParameter("ChkReCreate", typeof(int));
    
            var tgtYearParameter = tgtYear != null ?
                new ObjectParameter("TgtYear", tgtYear) :
                new ObjectParameter("TgtYear", typeof(string));
    
            var tgtBrandParameter = tgtBrand != null ?
                new ObjectParameter("TgtBrand", tgtBrand) :
                new ObjectParameter("TgtBrand", typeof(string));
    
            var tgtBlockParameter = tgtBlock != null ?
                new ObjectParameter("TgtBlock", tgtBlock) :
                new ObjectParameter("TgtBlock", typeof(string));
    
            var tgtHouseParameter = tgtHouse.HasValue ?
                new ObjectParameter("TgtHouse", tgtHouse) :
                new ObjectParameter("TgtHouse", typeof(int));
    
            var opeUserIDParameter = opeUserID != null ?
                new ObjectParameter("OpeUserID", opeUserID) :
                new ObjectParameter("OpeUserID", typeof(string));
    
            var tmpInfoIDParameter = tmpInfoID != null ?
                new ObjectParameter("TmpInfoID", tmpInfoID) :
                new ObjectParameter("TmpInfoID", typeof(string));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_CreateKojinInfo", processKbnParameter, infoID, infoTitleParameter, infoStartDateParameter, infoStartTimeParameter, infoEndDateParameter, infoEndTimeParameter, openFlgParameter, mailSendFlgParameter, mailSentFlgParameter, reportKbnParameter, courseCdParameter, courseNameParameter, monthParameter, weekParameter, startDateParameter, endDateParameter, asOfDateParameter, tgtRangeParameter, chkReCreateParameter, tgtYearParameter, tgtBrandParameter, tgtBlockParameter, tgtHouseParameter, opeUserIDParameter, tmpInfoIDParameter, errNo, errMsg);
        }
    
        public virtual int sp_CreateNextMonthKoma(Nullable<int> houseCd, Nullable<int> courseCd, Nullable<int> currentYm, Nullable<System.DateTime> startDate, Nullable<System.DateTime> endDate, ObjectParameter errNo, ObjectParameter errMsg, Nullable<int> sysYear, Nullable<int> brandCd)
        {
            var houseCdParameter = houseCd.HasValue ?
                new ObjectParameter("HouseCd", houseCd) :
                new ObjectParameter("HouseCd", typeof(int));
    
            var courseCdParameter = courseCd.HasValue ?
                new ObjectParameter("CourseCd", courseCd) :
                new ObjectParameter("CourseCd", typeof(int));
    
            var currentYmParameter = currentYm.HasValue ?
                new ObjectParameter("CurrentYm", currentYm) :
                new ObjectParameter("CurrentYm", typeof(int));
    
            var startDateParameter = startDate.HasValue ?
                new ObjectParameter("StartDate", startDate) :
                new ObjectParameter("StartDate", typeof(System.DateTime));
    
            var endDateParameter = endDate.HasValue ?
                new ObjectParameter("EndDate", endDate) :
                new ObjectParameter("EndDate", typeof(System.DateTime));
    
            var sysYearParameter = sysYear.HasValue ?
                new ObjectParameter("SysYear", sysYear) :
                new ObjectParameter("SysYear", typeof(int));
    
            var brandCdParameter = brandCd.HasValue ?
                new ObjectParameter("BrandCd", brandCd) :
                new ObjectParameter("BrandCd", typeof(int));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_CreateNextMonthKoma", houseCdParameter, courseCdParameter, currentYmParameter, startDateParameter, endDateParameter, errNo, errMsg, sysYearParameter, brandCdParameter);
        }
    
        public virtual int sp_CreateNextMonthNoSlot(Nullable<int> houseCd, Nullable<int> courseCd, Nullable<int> currentYm, Nullable<System.DateTime> startDate, Nullable<System.DateTime> endDate, ObjectParameter errNo, ObjectParameter errMsg, Nullable<int> sysYear, Nullable<int> brandCd)
        {
            var houseCdParameter = houseCd.HasValue ?
                new ObjectParameter("HouseCd", houseCd) :
                new ObjectParameter("HouseCd", typeof(int));
    
            var courseCdParameter = courseCd.HasValue ?
                new ObjectParameter("CourseCd", courseCd) :
                new ObjectParameter("CourseCd", typeof(int));
    
            var currentYmParameter = currentYm.HasValue ?
                new ObjectParameter("CurrentYm", currentYm) :
                new ObjectParameter("CurrentYm", typeof(int));
    
            var startDateParameter = startDate.HasValue ?
                new ObjectParameter("StartDate", startDate) :
                new ObjectParameter("StartDate", typeof(System.DateTime));
    
            var endDateParameter = endDate.HasValue ?
                new ObjectParameter("EndDate", endDate) :
                new ObjectParameter("EndDate", typeof(System.DateTime));
    
            var sysYearParameter = sysYear.HasValue ?
                new ObjectParameter("SysYear", sysYear) :
                new ObjectParameter("SysYear", typeof(int));
    
            var brandCdParameter = brandCd.HasValue ?
                new ObjectParameter("BrandCd", brandCd) :
                new ObjectParameter("BrandCd", typeof(int));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_CreateNextMonthNoSlot", houseCdParameter, courseCdParameter, currentYmParameter, startDateParameter, endDateParameter, errNo, errMsg, sysYearParameter, brandCdParameter);
        }
    
        public virtual int sp_CreatePupilStdCrsMonthly(string sPrm)
        {
            var sPrmParameter = sPrm != null ?
                new ObjectParameter("sPrm", sPrm) :
                new ObjectParameter("sPrm", typeof(string));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_CreatePupilStdCrsMonthly", sPrmParameter);
        }
    
        public virtual int sp_CreateWrkR01(string infoID, Nullable<short> courseCd, string tgtRange, string tgtYear, string tgtBrand, Nullable<int> tgtHouse, string opeUserID, ObjectParameter errNo, ObjectParameter errMsg)
        {
            var infoIDParameter = infoID != null ?
                new ObjectParameter("InfoID", infoID) :
                new ObjectParameter("InfoID", typeof(string));
    
            var courseCdParameter = courseCd.HasValue ?
                new ObjectParameter("CourseCd", courseCd) :
                new ObjectParameter("CourseCd", typeof(short));
    
            var tgtRangeParameter = tgtRange != null ?
                new ObjectParameter("TgtRange", tgtRange) :
                new ObjectParameter("TgtRange", typeof(string));
    
            var tgtYearParameter = tgtYear != null ?
                new ObjectParameter("TgtYear", tgtYear) :
                new ObjectParameter("TgtYear", typeof(string));
    
            var tgtBrandParameter = tgtBrand != null ?
                new ObjectParameter("TgtBrand", tgtBrand) :
                new ObjectParameter("TgtBrand", typeof(string));
    
            var tgtHouseParameter = tgtHouse.HasValue ?
                new ObjectParameter("TgtHouse", tgtHouse) :
                new ObjectParameter("TgtHouse", typeof(int));
    
            var opeUserIDParameter = opeUserID != null ?
                new ObjectParameter("OpeUserID", opeUserID) :
                new ObjectParameter("OpeUserID", typeof(string));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_CreateWrkR01", infoIDParameter, courseCdParameter, tgtRangeParameter, tgtYearParameter, tgtBrandParameter, tgtHouseParameter, opeUserIDParameter, errNo, errMsg);
        }
    
        public virtual int sp_CreateWrkR02(string infoID, Nullable<short> courseCd, Nullable<int> month, string startDate, string endDate, string tgtRange, string tgtYear, string tgtBrand, Nullable<int> tgtHouse, string opeUserID, ObjectParameter errNo, ObjectParameter errMsg)
        {
            var infoIDParameter = infoID != null ?
                new ObjectParameter("InfoID", infoID) :
                new ObjectParameter("InfoID", typeof(string));
    
            var courseCdParameter = courseCd.HasValue ?
                new ObjectParameter("CourseCd", courseCd) :
                new ObjectParameter("CourseCd", typeof(short));
    
            var monthParameter = month.HasValue ?
                new ObjectParameter("Month", month) :
                new ObjectParameter("Month", typeof(int));
    
            var startDateParameter = startDate != null ?
                new ObjectParameter("StartDate", startDate) :
                new ObjectParameter("StartDate", typeof(string));
    
            var endDateParameter = endDate != null ?
                new ObjectParameter("EndDate", endDate) :
                new ObjectParameter("EndDate", typeof(string));
    
            var tgtRangeParameter = tgtRange != null ?
                new ObjectParameter("TgtRange", tgtRange) :
                new ObjectParameter("TgtRange", typeof(string));
    
            var tgtYearParameter = tgtYear != null ?
                new ObjectParameter("TgtYear", tgtYear) :
                new ObjectParameter("TgtYear", typeof(string));
    
            var tgtBrandParameter = tgtBrand != null ?
                new ObjectParameter("TgtBrand", tgtBrand) :
                new ObjectParameter("TgtBrand", typeof(string));
    
            var tgtHouseParameter = tgtHouse.HasValue ?
                new ObjectParameter("TgtHouse", tgtHouse) :
                new ObjectParameter("TgtHouse", typeof(int));
    
            var opeUserIDParameter = opeUserID != null ?
                new ObjectParameter("OpeUserID", opeUserID) :
                new ObjectParameter("OpeUserID", typeof(string));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_CreateWrkR02", infoIDParameter, courseCdParameter, monthParameter, startDateParameter, endDateParameter, tgtRangeParameter, tgtYearParameter, tgtBrandParameter, tgtHouseParameter, opeUserIDParameter, errNo, errMsg);
        }
    
        public virtual int sp_CreateWrkR04(string infoID, Nullable<short> courseCd, string startDate, string endDate, string tgtRange, string tgtYear, string tgtBrand, Nullable<int> tgtHouse, string opeUserID, ObjectParameter errNo, ObjectParameter errMsg)
        {
            var infoIDParameter = infoID != null ?
                new ObjectParameter("InfoID", infoID) :
                new ObjectParameter("InfoID", typeof(string));
    
            var courseCdParameter = courseCd.HasValue ?
                new ObjectParameter("CourseCd", courseCd) :
                new ObjectParameter("CourseCd", typeof(short));
    
            var startDateParameter = startDate != null ?
                new ObjectParameter("StartDate", startDate) :
                new ObjectParameter("StartDate", typeof(string));
    
            var endDateParameter = endDate != null ?
                new ObjectParameter("EndDate", endDate) :
                new ObjectParameter("EndDate", typeof(string));
    
            var tgtRangeParameter = tgtRange != null ?
                new ObjectParameter("TgtRange", tgtRange) :
                new ObjectParameter("TgtRange", typeof(string));
    
            var tgtYearParameter = tgtYear != null ?
                new ObjectParameter("TgtYear", tgtYear) :
                new ObjectParameter("TgtYear", typeof(string));
    
            var tgtBrandParameter = tgtBrand != null ?
                new ObjectParameter("TgtBrand", tgtBrand) :
                new ObjectParameter("TgtBrand", typeof(string));
    
            var tgtHouseParameter = tgtHouse.HasValue ?
                new ObjectParameter("TgtHouse", tgtHouse) :
                new ObjectParameter("TgtHouse", typeof(int));
    
            var opeUserIDParameter = opeUserID != null ?
                new ObjectParameter("OpeUserID", opeUserID) :
                new ObjectParameter("OpeUserID", typeof(string));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_CreateWrkR04", infoIDParameter, courseCdParameter, startDateParameter, endDateParameter, tgtRangeParameter, tgtYearParameter, tgtBrandParameter, tgtHouseParameter, opeUserIDParameter, errNo, errMsg);
        }
    
        public virtual int sp_CreateWrkR05(string infoID, Nullable<short> courseCd, string startDate, string endDate, string tgtRange, string tgtYear, string tgtBrand, Nullable<int> tgtHouse, string opeUserID, ObjectParameter errNo, ObjectParameter errMsg)
        {
            var infoIDParameter = infoID != null ?
                new ObjectParameter("InfoID", infoID) :
                new ObjectParameter("InfoID", typeof(string));
    
            var courseCdParameter = courseCd.HasValue ?
                new ObjectParameter("CourseCd", courseCd) :
                new ObjectParameter("CourseCd", typeof(short));
    
            var startDateParameter = startDate != null ?
                new ObjectParameter("StartDate", startDate) :
                new ObjectParameter("StartDate", typeof(string));
    
            var endDateParameter = endDate != null ?
                new ObjectParameter("EndDate", endDate) :
                new ObjectParameter("EndDate", typeof(string));
    
            var tgtRangeParameter = tgtRange != null ?
                new ObjectParameter("TgtRange", tgtRange) :
                new ObjectParameter("TgtRange", typeof(string));
    
            var tgtYearParameter = tgtYear != null ?
                new ObjectParameter("TgtYear", tgtYear) :
                new ObjectParameter("TgtYear", typeof(string));
    
            var tgtBrandParameter = tgtBrand != null ?
                new ObjectParameter("TgtBrand", tgtBrand) :
                new ObjectParameter("TgtBrand", typeof(string));
    
            var tgtHouseParameter = tgtHouse.HasValue ?
                new ObjectParameter("TgtHouse", tgtHouse) :
                new ObjectParameter("TgtHouse", typeof(int));
    
            var opeUserIDParameter = opeUserID != null ?
                new ObjectParameter("OpeUserID", opeUserID) :
                new ObjectParameter("OpeUserID", typeof(string));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_CreateWrkR05", infoIDParameter, courseCdParameter, startDateParameter, endDateParameter, tgtRangeParameter, tgtYearParameter, tgtBrandParameter, tgtHouseParameter, opeUserIDParameter, errNo, errMsg);
        }
    
        public virtual int sp_CreateWrkR05Text(Nullable<int> tgtYear, Nullable<int> tgtBrandCd, Nullable<int> houseCd, Nullable<int> courseCd, string infoID, ObjectParameter errNo, ObjectParameter errMsg)
        {
            var tgtYearParameter = tgtYear.HasValue ?
                new ObjectParameter("TgtYear", tgtYear) :
                new ObjectParameter("TgtYear", typeof(int));
    
            var tgtBrandCdParameter = tgtBrandCd.HasValue ?
                new ObjectParameter("TgtBrandCd", tgtBrandCd) :
                new ObjectParameter("TgtBrandCd", typeof(int));
    
            var houseCdParameter = houseCd.HasValue ?
                new ObjectParameter("HouseCd", houseCd) :
                new ObjectParameter("HouseCd", typeof(int));
    
            var courseCdParameter = courseCd.HasValue ?
                new ObjectParameter("CourseCd", courseCd) :
                new ObjectParameter("CourseCd", typeof(int));
    
            var infoIDParameter = infoID != null ?
                new ObjectParameter("InfoID", infoID) :
                new ObjectParameter("InfoID", typeof(string));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_CreateWrkR05Text", tgtYearParameter, tgtBrandCdParameter, houseCdParameter, courseCdParameter, infoIDParameter, errNo, errMsg);
        }
    
        public virtual int sp_CreateWrkR08(string infoID, Nullable<short> courseCd, string startDate, string endDate, string tgtRange, string tgtYear, string tgtBrand, Nullable<int> tgtHouse, string opeUserID, ObjectParameter errNo, ObjectParameter errMsg)
        {
            var infoIDParameter = infoID != null ?
                new ObjectParameter("InfoID", infoID) :
                new ObjectParameter("InfoID", typeof(string));
    
            var courseCdParameter = courseCd.HasValue ?
                new ObjectParameter("CourseCd", courseCd) :
                new ObjectParameter("CourseCd", typeof(short));
    
            var startDateParameter = startDate != null ?
                new ObjectParameter("StartDate", startDate) :
                new ObjectParameter("StartDate", typeof(string));
    
            var endDateParameter = endDate != null ?
                new ObjectParameter("EndDate", endDate) :
                new ObjectParameter("EndDate", typeof(string));
    
            var tgtRangeParameter = tgtRange != null ?
                new ObjectParameter("TgtRange", tgtRange) :
                new ObjectParameter("TgtRange", typeof(string));
    
            var tgtYearParameter = tgtYear != null ?
                new ObjectParameter("TgtYear", tgtYear) :
                new ObjectParameter("TgtYear", typeof(string));
    
            var tgtBrandParameter = tgtBrand != null ?
                new ObjectParameter("TgtBrand", tgtBrand) :
                new ObjectParameter("TgtBrand", typeof(string));
    
            var tgtHouseParameter = tgtHouse.HasValue ?
                new ObjectParameter("TgtHouse", tgtHouse) :
                new ObjectParameter("TgtHouse", typeof(int));
    
            var opeUserIDParameter = opeUserID != null ?
                new ObjectParameter("OpeUserID", opeUserID) :
                new ObjectParameter("OpeUserID", typeof(string));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_CreateWrkR08", infoIDParameter, courseCdParameter, startDateParameter, endDateParameter, tgtRangeParameter, tgtYearParameter, tgtBrandParameter, tgtHouseParameter, opeUserIDParameter, errNo, errMsg);
        }
    
        public virtual int sp_CreateWrkR17(string infoID, Nullable<short> courseCd, string startDate, string endDate, string tgtRange, string tgtYear, string tgtBrand, Nullable<int> tgtHouse, string opeUserID, ObjectParameter errNo, ObjectParameter errMsg)
        {
            var infoIDParameter = infoID != null ?
                new ObjectParameter("InfoID", infoID) :
                new ObjectParameter("InfoID", typeof(string));
    
            var courseCdParameter = courseCd.HasValue ?
                new ObjectParameter("CourseCd", courseCd) :
                new ObjectParameter("CourseCd", typeof(short));
    
            var startDateParameter = startDate != null ?
                new ObjectParameter("StartDate", startDate) :
                new ObjectParameter("StartDate", typeof(string));
    
            var endDateParameter = endDate != null ?
                new ObjectParameter("EndDate", endDate) :
                new ObjectParameter("EndDate", typeof(string));
    
            var tgtRangeParameter = tgtRange != null ?
                new ObjectParameter("TgtRange", tgtRange) :
                new ObjectParameter("TgtRange", typeof(string));
    
            var tgtYearParameter = tgtYear != null ?
                new ObjectParameter("TgtYear", tgtYear) :
                new ObjectParameter("TgtYear", typeof(string));
    
            var tgtBrandParameter = tgtBrand != null ?
                new ObjectParameter("TgtBrand", tgtBrand) :
                new ObjectParameter("TgtBrand", typeof(string));
    
            var tgtHouseParameter = tgtHouse.HasValue ?
                new ObjectParameter("TgtHouse", tgtHouse) :
                new ObjectParameter("TgtHouse", typeof(int));
    
            var opeUserIDParameter = opeUserID != null ?
                new ObjectParameter("OpeUserID", opeUserID) :
                new ObjectParameter("OpeUserID", typeof(string));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_CreateWrkR17", infoIDParameter, courseCdParameter, startDateParameter, endDateParameter, tgtRangeParameter, tgtYearParameter, tgtBrandParameter, tgtHouseParameter, opeUserIDParameter, errNo, errMsg);
        }
    
        public virtual int sp_DisableTmpStdPass()
        {
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_DisableTmpStdPass");
        }
    
        public virtual int sp_ExKomaSum(Nullable<int> houseCd, Nullable<System.DateTime> startDate, Nullable<System.DateTime> endDate, ObjectParameter errNo, ObjectParameter errMsg)
        {
            var houseCdParameter = houseCd.HasValue ?
                new ObjectParameter("HouseCd", houseCd) :
                new ObjectParameter("HouseCd", typeof(int));
    
            var startDateParameter = startDate.HasValue ?
                new ObjectParameter("StartDate", startDate) :
                new ObjectParameter("StartDate", typeof(System.DateTime));
    
            var endDateParameter = endDate.HasValue ?
                new ObjectParameter("EndDate", endDate) :
                new ObjectParameter("EndDate", typeof(System.DateTime));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_ExKomaSum", houseCdParameter, startDateParameter, endDateParameter, errNo, errMsg);
        }
    
        public virtual int sp_ExKomaSum11(Nullable<int> houseCd, Nullable<System.DateTime> startDate, Nullable<System.DateTime> endDate, ObjectParameter errNo, ObjectParameter errMsg)
        {
            var houseCdParameter = houseCd.HasValue ?
                new ObjectParameter("HouseCd", houseCd) :
                new ObjectParameter("HouseCd", typeof(int));
    
            var startDateParameter = startDate.HasValue ?
                new ObjectParameter("StartDate", startDate) :
                new ObjectParameter("StartDate", typeof(System.DateTime));
    
            var endDateParameter = endDate.HasValue ?
                new ObjectParameter("EndDate", endDate) :
                new ObjectParameter("EndDate", typeof(System.DateTime));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_ExKomaSum11", houseCdParameter, startDateParameter, endDateParameter, errNo, errMsg);
        }
    
        public virtual int sp_ExKomaSum12(Nullable<int> houseCd, Nullable<System.DateTime> startDate, Nullable<System.DateTime> endDate, ObjectParameter errNo, ObjectParameter errMsg)
        {
            var houseCdParameter = houseCd.HasValue ?
                new ObjectParameter("HouseCd", houseCd) :
                new ObjectParameter("HouseCd", typeof(int));
    
            var startDateParameter = startDate.HasValue ?
                new ObjectParameter("StartDate", startDate) :
                new ObjectParameter("StartDate", typeof(System.DateTime));
    
            var endDateParameter = endDate.HasValue ?
                new ObjectParameter("EndDate", endDate) :
                new ObjectParameter("EndDate", typeof(System.DateTime));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_ExKomaSum12", houseCdParameter, startDateParameter, endDateParameter, errNo, errMsg);
        }
    
        public virtual int sp_ExKomaSumFull(Nullable<int> houseCd, Nullable<System.DateTime> startDate, Nullable<System.DateTime> endDate, ObjectParameter errNo, ObjectParameter errMsg)
        {
            var houseCdParameter = houseCd.HasValue ?
                new ObjectParameter("HouseCd", houseCd) :
                new ObjectParameter("HouseCd", typeof(int));
    
            var startDateParameter = startDate.HasValue ?
                new ObjectParameter("StartDate", startDate) :
                new ObjectParameter("StartDate", typeof(System.DateTime));
    
            var endDateParameter = endDate.HasValue ?
                new ObjectParameter("EndDate", endDate) :
                new ObjectParameter("EndDate", typeof(System.DateTime));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_ExKomaSumFull", houseCdParameter, startDateParameter, endDateParameter, errNo, errMsg);
        }
    
        public virtual int sp_ExKomaSumJH11(Nullable<int> houseCd, Nullable<System.DateTime> startDate, Nullable<System.DateTime> endDate, ObjectParameter errNo, ObjectParameter errMsg)
        {
            var houseCdParameter = houseCd.HasValue ?
                new ObjectParameter("HouseCd", houseCd) :
                new ObjectParameter("HouseCd", typeof(int));
    
            var startDateParameter = startDate.HasValue ?
                new ObjectParameter("StartDate", startDate) :
                new ObjectParameter("StartDate", typeof(System.DateTime));
    
            var endDateParameter = endDate.HasValue ?
                new ObjectParameter("EndDate", endDate) :
                new ObjectParameter("EndDate", typeof(System.DateTime));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_ExKomaSumJH11", houseCdParameter, startDateParameter, endDateParameter, errNo, errMsg);
        }
    
        public virtual int sp_ExKomaSumJH12(Nullable<int> houseCd, Nullable<System.DateTime> startDate, Nullable<System.DateTime> endDate, ObjectParameter errNo, ObjectParameter errMsg)
        {
            var houseCdParameter = houseCd.HasValue ?
                new ObjectParameter("HouseCd", houseCd) :
                new ObjectParameter("HouseCd", typeof(int));
    
            var startDateParameter = startDate.HasValue ?
                new ObjectParameter("StartDate", startDate) :
                new ObjectParameter("StartDate", typeof(System.DateTime));
    
            var endDateParameter = endDate.HasValue ?
                new ObjectParameter("EndDate", endDate) :
                new ObjectParameter("EndDate", typeof(System.DateTime));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_ExKomaSumJH12", houseCdParameter, startDateParameter, endDateParameter, errNo, errMsg);
        }
    
        public virtual int sp_ExKomaSumPAST(Nullable<int> houseCd, Nullable<System.DateTime> startDate, Nullable<System.DateTime> endDate, ObjectParameter errNo, ObjectParameter errMsg)
        {
            var houseCdParameter = houseCd.HasValue ?
                new ObjectParameter("HouseCd", houseCd) :
                new ObjectParameter("HouseCd", typeof(int));
    
            var startDateParameter = startDate.HasValue ?
                new ObjectParameter("StartDate", startDate) :
                new ObjectParameter("StartDate", typeof(System.DateTime));
    
            var endDateParameter = endDate.HasValue ?
                new ObjectParameter("EndDate", endDate) :
                new ObjectParameter("EndDate", typeof(System.DateTime));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_ExKomaSumPAST", houseCdParameter, startDateParameter, endDateParameter, errNo, errMsg);
        }
    
        public virtual int sp_FreeTeacher(string tgtYear, string tgtBrand, Nullable<int> seq, string houseCd, string courseCd, string courseKbn, string startDate, string endDate, ObjectParameter errNo, ObjectParameter errMsg)
        {
            var tgtYearParameter = tgtYear != null ?
                new ObjectParameter("TgtYear", tgtYear) :
                new ObjectParameter("TgtYear", typeof(string));
    
            var tgtBrandParameter = tgtBrand != null ?
                new ObjectParameter("TgtBrand", tgtBrand) :
                new ObjectParameter("TgtBrand", typeof(string));
    
            var seqParameter = seq.HasValue ?
                new ObjectParameter("Seq", seq) :
                new ObjectParameter("Seq", typeof(int));
    
            var houseCdParameter = houseCd != null ?
                new ObjectParameter("HouseCd", houseCd) :
                new ObjectParameter("HouseCd", typeof(string));
    
            var courseCdParameter = courseCd != null ?
                new ObjectParameter("CourseCd", courseCd) :
                new ObjectParameter("CourseCd", typeof(string));
    
            var courseKbnParameter = courseKbn != null ?
                new ObjectParameter("CourseKbn", courseKbn) :
                new ObjectParameter("CourseKbn", typeof(string));
    
            var startDateParameter = startDate != null ?
                new ObjectParameter("StartDate", startDate) :
                new ObjectParameter("StartDate", typeof(string));
    
            var endDateParameter = endDate != null ?
                new ObjectParameter("EndDate", endDate) :
                new ObjectParameter("EndDate", typeof(string));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_FreeTeacher", tgtYearParameter, tgtBrandParameter, seqParameter, houseCdParameter, courseCdParameter, courseKbnParameter, startDateParameter, endDateParameter, errNo, errMsg);
        }
    
        public virtual int sp_FreeTeacher_NoTmp(string tgtYear, string tgtBrand, Nullable<int> seq, string houseCd, string courseCd, string courseKbn, string startDate, string endDate, ObjectParameter errNo, ObjectParameter errMsg)
        {
            var tgtYearParameter = tgtYear != null ?
                new ObjectParameter("TgtYear", tgtYear) :
                new ObjectParameter("TgtYear", typeof(string));
    
            var tgtBrandParameter = tgtBrand != null ?
                new ObjectParameter("TgtBrand", tgtBrand) :
                new ObjectParameter("TgtBrand", typeof(string));
    
            var seqParameter = seq.HasValue ?
                new ObjectParameter("Seq", seq) :
                new ObjectParameter("Seq", typeof(int));
    
            var houseCdParameter = houseCd != null ?
                new ObjectParameter("HouseCd", houseCd) :
                new ObjectParameter("HouseCd", typeof(string));
    
            var courseCdParameter = courseCd != null ?
                new ObjectParameter("CourseCd", courseCd) :
                new ObjectParameter("CourseCd", typeof(string));
    
            var courseKbnParameter = courseKbn != null ?
                new ObjectParameter("CourseKbn", courseKbn) :
                new ObjectParameter("CourseKbn", typeof(string));
    
            var startDateParameter = startDate != null ?
                new ObjectParameter("StartDate", startDate) :
                new ObjectParameter("StartDate", typeof(string));
    
            var endDateParameter = endDate != null ?
                new ObjectParameter("EndDate", endDate) :
                new ObjectParameter("EndDate", typeof(string));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_FreeTeacher_NoTmp", tgtYearParameter, tgtBrandParameter, seqParameter, houseCdParameter, courseCdParameter, courseKbnParameter, startDateParameter, endDateParameter, errNo, errMsg);
        }
    
        public virtual int sp_ImportKomaData(Nullable<int> pSeqNum, Nullable<int> pStrCKBN, string pUserID, ObjectParameter errNo, ObjectParameter errMsg)
        {
            var pSeqNumParameter = pSeqNum.HasValue ?
                new ObjectParameter("pSeqNum", pSeqNum) :
                new ObjectParameter("pSeqNum", typeof(int));
    
            var pStrCKBNParameter = pStrCKBN.HasValue ?
                new ObjectParameter("pStrCKBN", pStrCKBN) :
                new ObjectParameter("pStrCKBN", typeof(int));
    
            var pUserIDParameter = pUserID != null ?
                new ObjectParameter("pUserID", pUserID) :
                new ObjectParameter("pUserID", typeof(string));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_ImportKomaData", pSeqNumParameter, pStrCKBNParameter, pUserIDParameter, errNo, errMsg);
        }
    
        public virtual int sp_IntegrateStudent(string dEL_PUPILCD, string iNTG_PUPILCD, string lOGINUSER, Nullable<int> pSEQ, ObjectParameter errNo, ObjectParameter errMsg)
        {
            var dEL_PUPILCDParameter = dEL_PUPILCD != null ?
                new ObjectParameter("DEL_PUPILCD", dEL_PUPILCD) :
                new ObjectParameter("DEL_PUPILCD", typeof(string));
    
            var iNTG_PUPILCDParameter = iNTG_PUPILCD != null ?
                new ObjectParameter("INTG_PUPILCD", iNTG_PUPILCD) :
                new ObjectParameter("INTG_PUPILCD", typeof(string));
    
            var lOGINUSERParameter = lOGINUSER != null ?
                new ObjectParameter("LOGINUSER", lOGINUSER) :
                new ObjectParameter("LOGINUSER", typeof(string));
    
            var pSEQParameter = pSEQ.HasValue ?
                new ObjectParameter("PSEQ", pSEQ) :
                new ObjectParameter("PSEQ", typeof(int));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_IntegrateStudent", dEL_PUPILCDParameter, iNTG_PUPILCDParameter, lOGINUSERParameter, pSEQParameter, errNo, errMsg);
        }
    
        public virtual int sp_KomaSum(Nullable<int> houseCd, Nullable<System.DateTime> startDate, Nullable<System.DateTime> endDate, ObjectParameter errNo, ObjectParameter errMsg)
        {
            var houseCdParameter = houseCd.HasValue ?
                new ObjectParameter("HouseCd", houseCd) :
                new ObjectParameter("HouseCd", typeof(int));
    
            var startDateParameter = startDate.HasValue ?
                new ObjectParameter("StartDate", startDate) :
                new ObjectParameter("StartDate", typeof(System.DateTime));
    
            var endDateParameter = endDate.HasValue ?
                new ObjectParameter("EndDate", endDate) :
                new ObjectParameter("EndDate", typeof(System.DateTime));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_KomaSum", houseCdParameter, startDateParameter, endDateParameter, errNo, errMsg);
        }
    
        public virtual int sp_KomaSum11(Nullable<int> houseCd, Nullable<System.DateTime> startDate, Nullable<System.DateTime> endDate, ObjectParameter errNo, ObjectParameter errMsg)
        {
            var houseCdParameter = houseCd.HasValue ?
                new ObjectParameter("HouseCd", houseCd) :
                new ObjectParameter("HouseCd", typeof(int));
    
            var startDateParameter = startDate.HasValue ?
                new ObjectParameter("StartDate", startDate) :
                new ObjectParameter("StartDate", typeof(System.DateTime));
    
            var endDateParameter = endDate.HasValue ?
                new ObjectParameter("EndDate", endDate) :
                new ObjectParameter("EndDate", typeof(System.DateTime));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_KomaSum11", houseCdParameter, startDateParameter, endDateParameter, errNo, errMsg);
        }
    
        public virtual int sp_KomaSum12(Nullable<int> houseCd, Nullable<System.DateTime> startDate, Nullable<System.DateTime> endDate, ObjectParameter errNo, ObjectParameter errMsg)
        {
            var houseCdParameter = houseCd.HasValue ?
                new ObjectParameter("HouseCd", houseCd) :
                new ObjectParameter("HouseCd", typeof(int));
    
            var startDateParameter = startDate.HasValue ?
                new ObjectParameter("StartDate", startDate) :
                new ObjectParameter("StartDate", typeof(System.DateTime));
    
            var endDateParameter = endDate.HasValue ?
                new ObjectParameter("EndDate", endDate) :
                new ObjectParameter("EndDate", typeof(System.DateTime));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_KomaSum12", houseCdParameter, startDateParameter, endDateParameter, errNo, errMsg);
        }
    
        public virtual int sp_KomaSumFull(Nullable<int> houseCd, Nullable<System.DateTime> startDate, Nullable<System.DateTime> endDate, ObjectParameter errNo, ObjectParameter errMsg)
        {
            var houseCdParameter = houseCd.HasValue ?
                new ObjectParameter("HouseCd", houseCd) :
                new ObjectParameter("HouseCd", typeof(int));
    
            var startDateParameter = startDate.HasValue ?
                new ObjectParameter("StartDate", startDate) :
                new ObjectParameter("StartDate", typeof(System.DateTime));
    
            var endDateParameter = endDate.HasValue ?
                new ObjectParameter("EndDate", endDate) :
                new ObjectParameter("EndDate", typeof(System.DateTime));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_KomaSumFull", houseCdParameter, startDateParameter, endDateParameter, errNo, errMsg);
        }
    
        public virtual int sp_KomaSumJH11(Nullable<int> houseCd, Nullable<System.DateTime> startDate, Nullable<System.DateTime> endDate, ObjectParameter errNo, ObjectParameter errMsg)
        {
            var houseCdParameter = houseCd.HasValue ?
                new ObjectParameter("HouseCd", houseCd) :
                new ObjectParameter("HouseCd", typeof(int));
    
            var startDateParameter = startDate.HasValue ?
                new ObjectParameter("StartDate", startDate) :
                new ObjectParameter("StartDate", typeof(System.DateTime));
    
            var endDateParameter = endDate.HasValue ?
                new ObjectParameter("EndDate", endDate) :
                new ObjectParameter("EndDate", typeof(System.DateTime));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_KomaSumJH11", houseCdParameter, startDateParameter, endDateParameter, errNo, errMsg);
        }
    
        public virtual int sp_KomaSumJH12(Nullable<int> houseCd, Nullable<System.DateTime> startDate, Nullable<System.DateTime> endDate, ObjectParameter errNo, ObjectParameter errMsg)
        {
            var houseCdParameter = houseCd.HasValue ?
                new ObjectParameter("HouseCd", houseCd) :
                new ObjectParameter("HouseCd", typeof(int));
    
            var startDateParameter = startDate.HasValue ?
                new ObjectParameter("StartDate", startDate) :
                new ObjectParameter("StartDate", typeof(System.DateTime));
    
            var endDateParameter = endDate.HasValue ?
                new ObjectParameter("EndDate", endDate) :
                new ObjectParameter("EndDate", typeof(System.DateTime));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_KomaSumJH12", houseCdParameter, startDateParameter, endDateParameter, errNo, errMsg);
        }
    
        public virtual int sp_KomaSumPAST(Nullable<int> houseCd, Nullable<System.DateTime> startDate, Nullable<System.DateTime> endDate, ObjectParameter errNo, ObjectParameter errMsg)
        {
            var houseCdParameter = houseCd.HasValue ?
                new ObjectParameter("HouseCd", houseCd) :
                new ObjectParameter("HouseCd", typeof(int));
    
            var startDateParameter = startDate.HasValue ?
                new ObjectParameter("StartDate", startDate) :
                new ObjectParameter("StartDate", typeof(System.DateTime));
    
            var endDateParameter = endDate.HasValue ?
                new ObjectParameter("EndDate", endDate) :
                new ObjectParameter("EndDate", typeof(System.DateTime));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_KomaSumPAST", houseCdParameter, startDateParameter, endDateParameter, errNo, errMsg);
        }
    
        public virtual int sp_MemoUpd(string yM, Nullable<int> houseCd, Nullable<int> teacherCd, string memo, ObjectParameter errNo, ObjectParameter errMsg)
        {
            var yMParameter = yM != null ?
                new ObjectParameter("YM", yM) :
                new ObjectParameter("YM", typeof(string));
    
            var houseCdParameter = houseCd.HasValue ?
                new ObjectParameter("HouseCd", houseCd) :
                new ObjectParameter("HouseCd", typeof(int));
    
            var teacherCdParameter = teacherCd.HasValue ?
                new ObjectParameter("TeacherCd", teacherCd) :
                new ObjectParameter("TeacherCd", typeof(int));
    
            var memoParameter = memo != null ?
                new ObjectParameter("Memo", memo) :
                new ObjectParameter("Memo", typeof(string));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_MemoUpd", yMParameter, houseCdParameter, teacherCdParameter, memoParameter, errNo, errMsg);
        }
    
        public virtual int sp_UnlockAccount()
        {
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_UnlockAccount");
        }
    
        public virtual int sp_UpdateStdCourseStatus(Nullable<int> year, Nullable<int> brandCd, string tableName)
        {
            var yearParameter = year.HasValue ?
                new ObjectParameter("Year", year) :
                new ObjectParameter("Year", typeof(int));
    
            var brandCdParameter = brandCd.HasValue ?
                new ObjectParameter("BrandCd", brandCd) :
                new ObjectParameter("BrandCd", typeof(int));
    
            var tableNameParameter = tableName != null ?
                new ObjectParameter("TableName", tableName) :
                new ObjectParameter("TableName", typeof(string));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_UpdateStdCourseStatus", yearParameter, brandCdParameter, tableNameParameter);
        }
    
        public virtual int sp_WeeklyKomaSum(Nullable<int> pSeqNum, Nullable<short> year, Nullable<short> brandCd, Nullable<short> courseCd, Nullable<int> houseCd, string blockCd, Nullable<byte> houseFlg, Nullable<byte> blockFlg, Nullable<byte> standardFlg, ObjectParameter errNo, ObjectParameter errMsg)
        {
            var pSeqNumParameter = pSeqNum.HasValue ?
                new ObjectParameter("pSeqNum", pSeqNum) :
                new ObjectParameter("pSeqNum", typeof(int));
    
            var yearParameter = year.HasValue ?
                new ObjectParameter("Year", year) :
                new ObjectParameter("Year", typeof(short));
    
            var brandCdParameter = brandCd.HasValue ?
                new ObjectParameter("BrandCd", brandCd) :
                new ObjectParameter("BrandCd", typeof(short));
    
            var courseCdParameter = courseCd.HasValue ?
                new ObjectParameter("CourseCd", courseCd) :
                new ObjectParameter("CourseCd", typeof(short));
    
            var houseCdParameter = houseCd.HasValue ?
                new ObjectParameter("HouseCd", houseCd) :
                new ObjectParameter("HouseCd", typeof(int));
    
            var blockCdParameter = blockCd != null ?
                new ObjectParameter("BlockCd", blockCd) :
                new ObjectParameter("BlockCd", typeof(string));
    
            var houseFlgParameter = houseFlg.HasValue ?
                new ObjectParameter("HouseFlg", houseFlg) :
                new ObjectParameter("HouseFlg", typeof(byte));
    
            var blockFlgParameter = blockFlg.HasValue ?
                new ObjectParameter("BlockFlg", blockFlg) :
                new ObjectParameter("BlockFlg", typeof(byte));
    
            var standardFlgParameter = standardFlg.HasValue ?
                new ObjectParameter("StandardFlg", standardFlg) :
                new ObjectParameter("StandardFlg", typeof(byte));
    
            return ((IObjectContextAdapter)this).ObjectContext.ExecuteFunction("sp_WeeklyKomaSum", pSeqNumParameter, yearParameter, brandCdParameter, courseCdParameter, houseCdParameter, blockCdParameter, houseFlgParameter, blockFlgParameter, standardFlgParameter, errNo, errMsg);
        }
    }
}
